#include <iostream>



void razmeni(long& a, long& b)
{
	a = a + b;
	b = a - b;
	a = a - b;
}

long duzina(long n) 
{
	long duz = 0;

	while (n > 0) 
	{
		n /= 10;
		duz++;
	}

	return duz;
}


bool toSwitch(long a, long b)
{
	while (a > 0 && b > 0)
	{
		long acif = a / pow(10, duzina(a) - 1);
		long bcif = b / pow(10, duzina(b) - 1);
		if (acif > bcif) return false;
		else if (bcif > acif) return true;
		a /= 10;
		b /= 10;
	}
	if (a > b) return false;
	else return true;
}



long main()
{
	long x, y, z, dy, dz;

	std::cin >> x >> y >> z;

	//sortiraj

	if (toSwitch(x, y)) razmeni(x, y);
	if (toSwitch(y, z)) razmeni(y, z);
	if (toSwitch(x, y)) razmeni(x, y);

	dy = duzina(y);
	dz = duzina(z);

	long res = (x * pow(10, dy) + y) * pow(10, dz) + z;
	std::cout << res;



}